package com.ruoyi.web.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "TaskFindPendingResponse", description = "进行中的总任务")
@Data
public class TaskFindPendingResponse {

    @ApiModelProperty("主键")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    @ApiModelProperty("体系审查任务id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long systemReviewTaskId;

    @ApiModelProperty("车辆检查任务id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long carReviewTaskId;

    @ApiModelProperty("任务编号")
    private String taskNo;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("任务状态（NEW、PENDING、FINISH）")
    private String taskStatus;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("审核组长id")
    private Long leaderId;

    @ApiModelProperty("审核组长姓名")
    private String leader;

    @ApiModelProperty("体系审查任务状态")
    private String reviewStatus;

    @ApiModelProperty("车型审查任务状态")
    private String carReviewStatus;

    @ApiModelProperty("测试任务状态")
    private String carTestStatus;

    @ApiModelProperty("体系审查任务进度")
    private Long systemReview;

    @ApiModelProperty("车型审查任务进度")
    private Long carReview;

    @ApiModelProperty("测试任务进度")
    private Long carTest;
}
